Package org.apache.lucene.store

# Class LockStressTest

java.lang.Object
org.apache.lucene.store.LockStressTest

public class LockStressTest extends Object
Simple standalone tool that forever acquires and releases a lock using a specific `LockFactory`. Run without any args to see usage.

See Also:
  - `VerifyingLockFactory`
  - `LockVerifyServer`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `LockStressTest()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static void`
  `main(String[] args)`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### LockStressTest

    public LockStressTest()

- ## Method Details

  - ### main

    public static void main(String[] args) throws Exception
    Throws:
      `Exception`